## libgclib 0.11.4

=== Makefile ===
INCDIRS := -I. -I${GDIR} -I${BAM}

CXX   := $(if $(CXX),$(CXX),g++)

LINKER  := $(if $(LINKER),$(LINKER),g++)

LDFLAGS := $(if $(LDFLAGS),$(LDFLAGS),-g)

LIBS    := 


# A simple hack to check if we are on Windows or not (i.e. are we using mingw32-make?)
ifeq ($(findstring mingw32, $(MAKE)), mingw32)
WINDOWS=1
endif

# Compiler settings
TLIBS = 
# Non-windows systems need pthread
ifndef WINDOWS
TLIBS += -lpthread
endif



DMACH := $(shell ${CXX} -dumpmachine)

# MinGW32 GCC 4.5 link problem fix
ifdef WINDOWS
DMACH := windows
ifeq ($(findstring 4.5.,$(shell g++ -dumpversion)), 4.5.)
LDFLAGS += -static-libstdc++ -static-libgcc
endif
endif

# Misc. system commands
ifdef WINDOWS
RM = del /Q
else
RM = rm -f
endif

# File endings
ifdef WINDOWS
EXE = .exe
else
EXE =
endif

CC      := g++

BASEFLAGS  := -Wall -Wextra ${INCDIRS} $(MARCH) \
 -D_REENTRANT -fno-exceptions -fno-rtti

GCCVER5 := $(shell expr `g++ -dumpversion | cut -f1 -d.` \>= 5)
ifeq "$(GCCVER5)" "1"
 BASEFLAGS += -Wno-implicit-fallthrough
endif

GCCVER8 := $(shell expr `g++ -dumpversion | cut -f1 -d.` \>= 8)
ifeq "$(GCCVER8)" "1"
  BASEFLAGS += -Wno-class-memaccess
endif

#add the link-time optimization flag if gcc version > 4.5
GCC_VERSION:=$(subst ., ,$(shell gcc -dumpversion))
GCC_MAJOR:=$(word 1,$(GCC_VERSION))
GCC_MINOR:=$(word 2,$(GCC_VERSION))
#GCC_SUB:=$(word 3,$(GCC_VERSION))
GCC_SUB:=x

GCC45OPTS :=
GCC45OPTMAIN :=

ifneq (,$(filter %release %nodebug, $(MAKECMDGOALS)))
  # -- release build
  CXXFLAGS := $(if $(CXXFLAGS),$(CXXFLAGS),-g -O3)
  CXXFLAGS += -DNDEBUG $(BASEFLAGS)
  ifeq ($(shell expr $(GCC_MAJOR).$(GCC_MINOR) '>=' 4.5),1)
    CXXFLAGS += -flto
    GCC45OPTS := -flto
    GCC45OPTMAIN := -fwhole-program
  endif
else
  # -- debug build
  CXXFLAGS := $(if $(CXXFLAGS),$(CXXFLAGS),-g -O0)
  ifneq (, $(findstring darwin, $(DMACH)))
      CXXFLAGS += -gdwarf-3
  endif
  CXXFLAGS += -DDEBUG -D_DEBUG -DGDEBUG $(BASEFLAGS)
endif

%.o : %.cpp
	${CXX} ${CXXFLAGS} -c $< -o $@


.PHONY : all
all:    mdtest
nodebug: all
release: all
debug: all

OBJS := GBase.o GStr.o GArgs.o

version: ; @echo "GCC Version is: "$(GCC_MAJOR)":"$(GCC_MINOR)":"$(GCC_SUB)
	@echo "> GCC Opt. string is: "$(GCC45OPTS)
mdtest: $(OBJS) mdtest.o
	${LINKER} ${LDFLAGS} $(GCC45OPTS) $(GCC45OPTMAIN) -o $@ ${filter-out %.a %.so, $^} ${LIBS}
# target for removing all object files

.PHONY : clean
clean:: 
	@${RM} $(OBJS) *.o mdtest$(EXE)
	@${RM} core.*

## libgclib 0.11.2

=== debian/changelog ===
libgclib (0.11.2-1) unstable; urgency=medium

  * Initial release (Closes: #924582)

 -- Andreas Tille <tille@debian.org>  Fri, 14 Jun 2019 19:10:04 +0200

=== debian/control ===
Source: libgclib
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               d-shlibs
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/libgclib
Vcs-Git: https://salsa.debian.org/med-team/libgclib.git
Homepage: https://github.com/gpertea/gclib

Package: libgclib-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgclib0 (= ${binary:Version}),
         ${misc:Depends}
Description: header files for Genome Code Lib (GCLib)
 This is an eclectic gathering of (mostly) C++ code which upstream used
 for some bioinformatics projects. The main idea is to provide
 lean code and efficient data structures, trying to avoid too many code
 dependencies of heavy libraries while minimizing production cycles (and
 this also implies a decent compile/build time -- looking at you,
 bloated configure scripts and lengthy compile times of Boost code or
 other heavy C++ template code..).
 .
 This code was gathered even before the C++ STL had been fully adopted as
 a cross-platform "standard". Since STL by itself is a bit heavier for
 most of the C++ needs, it is preferred to use simpler&leaner C++ classes
 or templates for basic strings, containers, basic algorithms etc.
 .
 Header files of Genome Code Lib. It is mainly known for being
 used by StringTie but with its own release cycle.

Package: libgclib0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ library to handle biological short sequence data
 This is an eclectic gathering of (mostly) C++ code which upstream used
 for some bioinformatics projects. The main idea is to provide
 lean code and efficient data structures, trying to avoid too many code
 dependencies of heavy libraries while minimizing production cycles (and
 this also implies a decent compile/build time -- looking at you,
 bloated configure scripts and lengthy compile times of Boost code or
 other heavy C++ template code..).
 .
 This code was gathered even before the C++ STL had been fully adopted as
 a cross-platform "standard". Since STL by itself is a bit heavier for
 most of the C++ needs, it is preferred to use simpler&leaner C++ classes
 or templates for basic strings, containers, basic algorithms etc.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND  = -Wall -pedantic -flto -fPIC
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-flto

%:
	dh $@

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --movedev debian/tmp/usr/include usr \
		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		    debian/tmp/usr/lib/*/*.so
	mkdir debian/$(DEB_SOURCE)-dev/usr/include/gclib
	mv debian/$(DEB_SOURCE)-dev/usr/include/*.h* debian/$(DEB_SOURCE)-dev/usr/include/gclib
	# delete header files of not compiled C++ source files
	find debian/$(DEB_SOURCE)-dev -name gdimg.h -delete
	find debian/$(DEB_SOURCE)-dev -name GBam.h -delete

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o mdtest mdtest.cpp ./.libs/libgclib.a $(LIBS) -lpthread
	./mdtest
	echo "FIXME: needs MD string as argument"
endif

## libgclib 0.11.4

=== debian/changelog ===
libgclib (0.11.4-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Use large file support only on architectures with native support
    Closes: #949966
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Michael R. Crusoe ]
  * Proper fix for 949966: define _FILE_OFFSET_BITS=64 and bump the SO version
  * debian/tests/run-test: s/ADTTMP/AUTOPKGTEST_TMP/g

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 11 Feb 2020 10:41:51 +0100

libgclib (0.11.3-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Name from debian/upstream/metadata.
  * Add new symbols

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 07 Nov 2019 13:35:50 +0100

libgclib (0.11.2-3) unstable; urgency=medium

  * Correct symbols file for 32 bit systems.
  * Add myself as an uploader, thank you Andreas Tille for the permission!

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 26 Sep 2019 13:01:05 +0200

libgclib (0.11.2-2) unstable; urgency=medium

  * Team upload.
  * Link the shared library against pthread
  * Add Build-Depends-Package: libgclib-dev to debian/libgclib0.symbols
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * Set upstream metadata fields: Name.
  * Build mdtest properly and use it as a rudimentary test
  * Add autopkgtest

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 25 Sep 2019 10:54:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: libgclib
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                d-shlibs
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/libgclib
 Vcs-Git: https://salsa.debian.org/med-team/libgclib.git
 Homepage: https://github.com/gpertea/gclib
@@ -15,7 +16,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libgclib0 (= ${binary:Version}),
+Depends: libgclib1 (= ${binary:Version}),
          ${misc:Depends}
 Description: header files for Genome Code Lib (GCLib)
  This is an eclectic gathering of (mostly) C++ code which upstream used
@@ -34,7 +35,7 @@
  Header files of Genome Code Lib. It is mainly known for being
  used by StringTie but with its own release cycle.
 
-Package: libgclib0
+Package: libgclib1
 Architecture: any
 Multi-Arch: same
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,13 @@
 #!/usr/bin/make -f
 
-# DH_VERBOSE := 1
+DH_VERBOSE := 1
 export LC_ALL=C.UTF-8
 
 include /usr/share/dpkg/default.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CXXFLAGS_MAINT_APPEND  = -Wall -pedantic -flto -fPIC
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-flto
+export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic -flto -fPIC -D_FILE_OFFSET_BITS=64
+export DEB_LDFLAGS_MAINT_APPEND  = -Wl,--as-needed -Wl,-flto
 
 %:
 	dh $@
@@ -27,10 +27,11 @@
 	find debian/$(DEB_SOURCE)-dev -name gdimg.h -delete
 	find debian/$(DEB_SOURCE)-dev -name GBam.h -delete
 
+override_dh_installexamples:
+	dh_installexamples
+	chmod a-x debian/$(DEB_SOURCE)-dev/usr/share/doc/$(DEB_SOURCE)-dev/examples/*
+
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o mdtest mdtest.cpp ./.libs/libgclib.a $(LIBS) -lpthread
-	./mdtest
-	echo "FIXME: needs MD string as argument"
+	./mdtest 7TEST^BCT
 endif
-

=== debian/watch ===
version=4

https://github.com/gpertea/gclib/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## libgclib 0.11.8

=== debian/changelog ===
libgclib (0.11.8-1) unstable; urgency=medium

  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * remove conflicting and unused PACKAGE_NAME from usr/include/gclib/config.h
  * debian/not-installed: add libgclib.la & mdtest

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 17 Apr 2020 09:39:15 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Vcs-Browser: https://salsa.debian.org/med-team/libgclib
 Vcs-Git: https://salsa.debian.org/med-team/libgclib.git
 Homepage: https://github.com/gpertea/gclib
+Rules-Requires-Root: no
 
 Package: libgclib-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 		    debian/tmp/usr/lib/*/*.so
 	mkdir debian/$(DEB_SOURCE)-dev/usr/include/gclib
 	mv debian/$(DEB_SOURCE)-dev/usr/include/*.h* debian/$(DEB_SOURCE)-dev/usr/include/gclib
+	sed -i '/PACKAGE_NAME/d' debian/$(DEB_SOURCE)-dev/usr/include/gclib/config.h
 	# delete header files of not compiled C++ source files
 	find debian/$(DEB_SOURCE)-dev -name gdimg.h -delete
 	find debian/$(DEB_SOURCE)-dev -name GBam.h -delete

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/gpertea/gclib/releases .*/archive/v?@ANY_VERSION@\.tar\.gz

## libgclib 0.11.10+ds

=== debian/changelog ===
libgclib (0.11.10+ds-2) unstable; urgency=medium

  * Provide symbols only for amd64
    Closes: #968886

 -- Andreas Tille <tille@debian.org>  Fri, 18 Sep 2020 11:07:12 +0200

libgclib (0.11.10+ds-1) unstable; urgency=medium

  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Sat, 08 Aug 2020 22:56:32 +0200

libgclib (0.11.9-2) unstable; urgency=medium

  * Bump soname. Closes: #962550
  * debhelper-compat 13 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Jul 2020 20:42:23 +0200

libgclib (0.11.9-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 01 Jun 2020 15:53:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Michael R. Crusoe <michael.crusoe@gmail.com>
+           Michael R. Crusoe <crusoe@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                d-shlibs
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/libgclib
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libgclib1 (= ${binary:Version}),
+Depends: libgclib2 (= ${binary:Version}),
          ${misc:Depends}
 Description: header files for Genome Code Lib (GCLib)
  This is an eclectic gathering of (mostly) C++ code which upstream used
@@ -36,7 +36,7 @@
  Header files of Genome Code Lib. It is mainly known for being
  used by StringTie but with its own release cycle.
 
-Package: libgclib1
+Package: libgclib2
 Architecture: any
 Multi-Arch: same
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,12 @@
 	dh_installexamples
 	chmod a-x debian/$(DEB_SOURCE)-dev/usr/share/doc/$(DEB_SOURCE)-dev/examples/*
 
+override_dh_auto_clean:
+	if [ -r Makefile -a -r Makefile.am ]; then dh_auto_clean; fi
+	rm -f Makefile Makefile.in aclocal.m4 config.h.in configure debian/autoreconf.after debian/autoreconf.before
+	find . -name "*.o" -delete
+
+
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	./mdtest 7TEST^BCT

=== debian/watch ===
version=4

opts="repack,compression=gz,dversionmangle=auto,repacksuffix=+ds,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/gpertea/gclib/releases .*/archive/v?@ANY_VERSION@\.tar\.gz

## libgclib 0.12.7%2Bds

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Michael R. Crusoe <crusoe@debian.org>
+           Michael R. Crusoe <crusoe@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                d-shlibs
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/libgclib
 Vcs-Git: https://salsa.debian.org/med-team/libgclib.git
 Homepage: https://github.com/gpertea/gclib
@@ -17,7 +18,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libgclib2 (= ${binary:Version}),
+Depends: libgclib3 (= ${binary:Version}),
          ${misc:Depends}
 Description: header files for Genome Code Lib (GCLib)
  This is an eclectic gathering of (mostly) C++ code which upstream used
@@ -36,7 +37,7 @@
  Header files of Genome Code Lib. It is mainly known for being
  used by StringTie but with its own release cycle.
 
-Package: libgclib2
+Package: libgclib3
 Architecture: any
 Multi-Arch: same
 Section: libs

## libgclib 0.12.7+ds

=== debian/changelog ===
libgclib (0.12.7+ds-6) unstable; urgency=medium

  * d/libgclib3.symbols.amd64: flag some optional symbols. (Closes: #1097188)
  * d/control: declare compliance to standards version 4.7.2.
  * d/patches/*: normalize dep3 headers.

 -- Étienne Mollier <emollier@debian.org>  Thu, 27 Feb 2025 20:55:27 +0100

libgclib (0.12.7+ds-5) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * d/rules: add build option -ffat-lto-objects to restore usable code,
    per lintian error no-code-sections.
  * d/watch: fix github change; switch to git mode.
  * d/control: declare compliance to standards version 4.6.1.

 -- Étienne Mollier <emollier@debian.org>  Tue, 08 Nov 2022 21:07:26 +0100

libgclib (0.12.7+ds-4) unstable; urgency=medium

  * Team upload.
  * Source only upload.

 -- Étienne Mollier <emollier@debian.org>  Thu, 02 Dec 2021 21:28:02 +0100

libgclib (0.12.7+ds-3~0exp0) experimental; urgency=medium

  * Team upload.
  * Bump libgclib soname (Closes: #997884)
  * d/copyright: add khashl.hh, wyhash.h and xxhash.h

 -- Étienne Mollier <emollier@debian.org>  Wed, 27 Oct 2021 20:30:06 +0200

libgclib (0.12.7+ds-2) unstable; urgency=medium

  * Fix CVE-2021-42006
    Closes: #996591

 -- Andreas Tille <tille@debian.org>  Mon, 18 Oct 2021 09:55:11 +0200

libgclib (0.12.7+ds-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Adapt symbols file

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 07:40:27 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                d-shlibs
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/libgclib
 Vcs-Git: https://salsa.debian.org/med-team/libgclib.git
 Homepage: https://github.com/gpertea/gclib

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 include /usr/share/dpkg/default.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic -flto -fPIC -D_FILE_OFFSET_BITS=64
-export DEB_LDFLAGS_MAINT_APPEND  = -Wl,--as-needed -Wl,-flto
+export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic -flto -ffat-lto-objects -fPIC -D_FILE_OFFSET_BITS=64
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-flto
 
 %:
 	dh $@

=== debian/watch ===
version=4

opts="mode=git,dversionmangle=auto,repack,repacksuffix=+ds" \
https://github.com/gpertea/gclib.git \
refs/tags/v?([\d\.\d]+)

## libgclib 0.12.8+ds

=== debian/changelog ===
libgclib (0.12.8+ds-1) unstable; urgency=medium

  * Migrate libgclib4 from experimental to unstable.

 -- Étienne Mollier <emollier@debian.org>  Sat, 29 Nov 2025 10:50:01 +0100

libgclib (0.12.8+ds-0+exp2) experimental; urgency=medium

  * New upstream version 0.12.8+ds
  * CVE-2021-42006.patch: unfuzz.
  * d/*: bump to libgclib4 SONAME.
    This is required by functions signature changes.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/watch: convert to v5 Github template.
  * noexcept.patch: new: fix a build failure.
  * d/copyright: identify GThreads.* as ZLib material.

 -- Étienne Mollier <emollier@debian.org>  Thu, 27 Nov 2025 23:21:58 +0100

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,12 @@
 Vcs-Browser: https://salsa.debian.org/med-team/libgclib
 Vcs-Git: https://salsa.debian.org/med-team/libgclib.git
 Homepage: https://github.com/gpertea/gclib
-Rules-Requires-Root: no
 
 Package: libgclib-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libgclib3 (= ${binary:Version}),
+Depends: libgclib4 (= ${binary:Version}),
          ${misc:Depends}
 Description: header files for Genome Code Lib (GCLib)
  This is an eclectic gathering of (mostly) C++ code which upstream used
@@ -37,7 +36,7 @@
  Header files of Genome Code Lib. It is mainly known for being
  used by StringTie but with its own release cycle.
 
-Package: libgclib3
+Package: libgclib4
 Architecture: any
 Multi-Arch: same
 Section: libs

=== debian/watch ===
Version: 5

Template: Github
Owner: gpertea
Project: gclib
Dversionmangle: auto
Repack: yes
Repacksuffix: +ds
